import * as React from "react";
import Badge, { badgeClasses } from "@mui/material/Badge";
import IconButton, { IconButtonProps } from "@mui/material/IconButton";
import { CustomIconButton } from "../AddUserModal/styled.css";

export interface MenuButtonProps extends IconButtonProps {
	showBadge?: boolean;
}

export default function MenuButton({
	showBadge = false,
	...props
}: MenuButtonProps) {
	return (
		<Badge
			color="error"
			variant="dot"
			invisible={!showBadge}
			sx={{ [`& .${badgeClasses.badge}`]: { right: 2, top: 2 } }}
		>
			<CustomIconButton  sx={{ marginRight: "60px" }} size="medium" {...props} />
		</Badge>
	);
}
