// src/components/RoleBasedRedirect.tsx
import { Navigate } from "react-router-dom";
import { useSelector } from "react-redux";
import { RootState } from "../../redux/reducers";

const RoleBasedRedirect = () => {
	const userType = useSelector(
		(state: RootState) => state.profileReducer.user?.userType
	);

	if (userType === "user") {
		return <Navigate to="/panel/booking-list" replace />;
	}

	// Optional: route others to dashboard or their own start page
	return <Navigate to="/panel/dashboard" replace />;
};

export default RoleBasedRedirect;
