import React from "react";
import { Card, CardContent, Typography } from "@mui/material";
import { LineChart } from "@mui/x-charts/LineChart";

export default function StaticLineChartCard() {
	const revenueData = [
		{ date: "2025-04-01", revenue: 1200 },
		{ date: "2025-04-02", revenue: 1500 },
		{ date: "2025-04-03", revenue: 1300 },
		{ date: "2025-04-04", revenue: 1700 },
		{ date: "2025-04-05", revenue: 1400 },
		{ date: "2025-04-06", revenue: 2400 },
		{ date: "2025-04-08", revenue: 1500 },
		{ date: "2025-04-09", revenue: 1800 },
		{ date: "2025-04-10", revenue: 2800 },
		{ date: "2025-04-11", revenue: 8400 },
		{ date: "2025-04-13", revenue: 4400 },
		{ date: "2025-04-15", revenue: 5400 },
		{ date: "2025-04-16", revenue: 1200 },
		{ date: "2025-04-17", revenue: 1700 },
		{ date: "2025-04-19", revenue: 2300 },
		{ date: "2025-04-20", revenue: 2600 },
		{ date: "2025-04-21", revenue: 1400 },
		{ date: "2025-04-22", revenue: 1900 },
		{ date: "2025-04-23", revenue: 6400 },
		{ date: "2025-04-24", revenue: 400 },
		{ date: "2025-04-25", revenue: 7400 },
		{ date: "2025-04-26", revenue: 4400 },
		{ date: "2025-04-27", revenue: 1400 },
		{ date: "2025-04-30", revenue: 1600 },
	];

	return (
		<Card
			sx={{
				height: "100%",
				p: 2,
				background: "#D0E1E9",
				borderRadius: "30px",
			}}
		>
			<CardContent>
				<Typography
					variant="h6"
					sx={{
						fontWeight: 600,
						fontSize: { xs: "14px", sm: "16px", md: "20px" },
					}}
					gutterBottom
				>
					Total Earnings (April 2025)
				</Typography>
				<LineChart
					xAxis={[
						{
							data: revenueData.map((d) => d.date),
							scaleType: "point",
						},
					]}
					series={[
						{
							data: revenueData.map((d) => d.revenue),
							label: "Revenue ($)",
							color: "#000000",
						},
					]}
					height={300}
				/>
			</CardContent>
		</Card>
	);
}
