import React from "react";
import {
	Card,
	CardContent,
	Typography,
	Box,
	LinearProgress,
} from "@mui/material";

export default function UtilizationGaugeChart() {
	const utilization = 65;

	return (
		<Card
			sx={{
				height: "100px",
				display: "flex",
				flexDirection: "column",
				padding: 2,
				background: "#D0E1E9",
				borderRadius: "30px",
			}}
		>
			<CardContent
				sx={{
					flex: 1,
					display: "flex",
					flexDirection: "row",
					justifyContent: "center",
					alignItems: "center",
					padding: 0,
				}}
			>
				<Typography
					sx={{
						marginRight: 2,
						fontWeight: 600,
						fontSize: { xs: "14px", sm: "16px", md: "20px" },
					}}
				>
					Charging Station Utilization
				</Typography>

				<Box
					sx={{
						display: "flex",
						flexDirection: "column",
						alignItems: "center",
						width: "60%",
						marginRight: 2,
					}}
				>
					<LinearProgress
						variant="determinate"
						value={utilization}
						sx={{
							width: "100%",
							height: 10,
							borderRadius: 5,

							"& .MuiLinearProgress-bar": {
								backgroundColor: "#000000",
							},
							"& .MuiLinearProgress-root": {
								backgroundColor: "#DFECF1",
							},
						}}
					/>
				</Box>

				<Typography variant="h5" sx={{ marginLeft: 2 }}>
					{utilization}%
				</Typography>
			</CardContent>
		</Card>
	);
}
